Subject: Re: What's cooking in git.git (Feb 2025, #01; Tue, 4)

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 6 Feb 2025 07:47:20 +0100

On Wed, Feb 05, 2025 at 04:04:47PM -0800, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > Patrick Steinhardt <[email-masked]> writes:
> >
> >> One topic that I miss in the cover letter is [1]. You probably forgot to
> >> pick it up :)
> >>
> >> [1]: <[email-masked]>
> >
> > OK, I was wondering if we are going to rethink after seeing some
> > comments but with blessing by j6t [*], I guess this is fine.
> >
> > [*]: <[email-masked]>
> 
> Wait.  This works by futzing with unlink() call that is imported via
> <git-compat-util.h> which you got rid of in a separate topic, and
> given the overall theme of sans-compat-util topic, I do not think
> you want to include <compat/mingw.h> either directly or indirectly
> (via <git-compat-util.h> as we used to), either.
> 
> So where would that leave us...?

Ah, good point. The relevant code still gets imported into the reftable
library via "compat/posix.h" -> "compat/mingw/posix.h", so the fix would
remain largely the same. I'll rebase the patch to fix the semantic
conflicts.

Patrick